*:focus {
  outline: none !important;
}

.h1,
h1 {
  font-size: 2rem;
  color: #778384;
  background: -webkit-linear-gradient(#778384, #203a49);
  background: linear-gradient(#778384, #203a49);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

h3.modal_header {
  background: #2c3e50;

  padding: 10px 15px;
  border-radius: 5px;
  color: white;
  margin-bottom: 15px;
  margin-top: 15px;
  text-transform: uppercase;
  border: 4px solid #879daf;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  background: #39bae6;
  background: linear-gradient(
    310deg,
    #1a3c5e,
    #3f6c88,
    #6991a7,
    #87aabd,
    #3f6c88
  );
  -webkit-animation: rotateGradient 25s ease infinite;
  -moz-animation: rotateGradient 25s ease infinite;
  animation: rotateGradient 25s ease infinite;
  background-size: 100% 250%;
}

.login_bg {
  background-image: url("/assets/admin/images/client-bg.jpg");
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: 50% 50%;
  background-size: cover;

  display: -ms-flexbox;
  display: -webkit-box;
  display: flex;
  -ms-flex-align: center;
  -ms-flex-pack: center;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  height: 100%;
}

.login_form {
  width: 100%;
  max-width: 330px;
  padding: 15px;
  margin: 0 auto;
  background: rgba(36 61 76 / 30%);
  border-radius: 15px;
}

.login_form .logo {
  width: 115px;
  margin-left: auto;
}

.login_form .inner {
  border-radius: 15px;
  background: white;
  padding: 20px 15px 0px 15px;
}

.login_form .copyright {
  font-size: 9px;
}

.navbar-toggler {
  padding: 0.15rem 0.95rem;
  font-size: 1.6rem;
  line-height: 1.6;
  background-color: rgb(114 127 129 / 40%);
  border: 1px solid #768284;
  border-radius: 0.5rem;
  color: white;
  margin: 1px auto;
  text-decoration: none;
}

.navbar-toggler:focus,
.navbar-toggler:hover,
.navbar-toggler:active {
  background-color: rgb(34 59 74) !important;
}

.navbar-holder {
  width: 100%;
}

nav.navbar {
  background: #adbed1;
  background: linear-gradient(
    357deg,
    rgb(255 255 255) 0%,
    rgb(173 190 209) 100%
  );
  padding-top: 15px;
  padding-bottom: 15px;
  color: #fff;
  position: relative;
  border-radius: 0;
  -webkit-box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.2);
  box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.2);
  z-index: 10;
  padding-left: 0;
  padding-right: 0;
  position: fixed;
  width: 100%;
}
nav.navbar .menu-btn {
  display: inline-block;
  margin-right: 20px;
  font-size: 1.2em;
  -webkit-transition: all 0.7s;
  transition: all 0.7s;
}
nav.navbar .menu-btn span {
  width: 20px;
  height: 2px;
  background: #fff;
  display: block;
  margin: 4px auto 0;
  -webkit-transition: all 0.3s cubic-bezier(0.81, -0.33, 0.345, 1.375);
  transition: all 0.3s cubic-bezier(0.81, -0.33, 0.345, 1.375);
}
nav.navbar .menu-btn span:nth-of-type(2) {
  position: relative;
  width: 35px;
  -webkit-transform: rotateY(180deg);
  transform: rotateY(180deg);
}
nav.navbar .menu-btn span {
  width: 20px;
  height: 2px;
  background: #fff;
  display: block;
  margin: 4px auto 0;
  -webkit-transition: all 0.3s cubic-bezier(0.81, -0.33, 0.345, 1.375);
  transition: all 0.3s cubic-bezier(0.81, -0.33, 0.345, 1.375);
}

nav.navbar .nav-link span.badge-corner {
  position: absolute;
  top: 0;
  right: 0;
  font-weight: 400;
  font-size: 0.7em;
}
nav.navbar .badge {
  width: 22px;
  height: 22px;
  line-height: 22px;
  text-align: center;
  padding: 0;
  border-radius: 50%;
}
.bg-red {
  background: #ff7676 !important;
  color: #fff;
}
.bg-orange {
  background: #ffc36d !important;
  color: #fff;
}

/*
.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='white' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}


.dropdown-toggle::after {
  display: inline-block;
  position: absolute;
  top: 20px;
  right: 15px;
  vertical-align: 0.255em;
  content: "";
  border-top: 0.5em solid;
  border-right: 0.5em solid transparent;
  border-bottom: 0;
  border-left: 0.5em solid transparent;
  transition: all 0.2s ease-out;
}

.dropdown.show > .dropdown-toggle:first-child::after {
  border-top-width: 0;
  border-bottom: 0.5em solid;
}

.dropdown-toggle.actif::after {
  border-top-width: 0;
  border-bottom: 0.5em solid;
}*/

.sidebar_nav_container {
  height: 100%;
  width: 250px;
  padding-top: 95px;
  position: absolute;
  top: 0;
  left: -250px;
  transition: left 0.5s;
  z-index: 3;
  box-shadow: 1px 0px 10px 1px rgba(109, 109, 109, 0.75);
  -moz-box-shadow: 1px 0px 10px 1px rgba(109, 109, 109, 0.75);
  -webkit-box-shadow: 1px 0px 10px 1px rgba(109, 109, 109, 0.75);
  position: fixed;

  background: #39bae6;
  background: linear-gradient(
    310deg,
    #1a3c5e,
    #3f6c88,
    #6991a7,
    #87aabd,
    #3f6c88
  );
  -webkit-animation: rotateGradient 25s ease infinite;
  -moz-animation: rotateGradient 25s ease infinite;
  animation: rotateGradient 25s ease infinite;
  background-size: 100% 250%;
}

.sidebar_nav_sdx {
  padding: 0;
}

.sidebar_nav_sdx li {
  width: 100%;
  padding: 0px;
}
.sidebar_nav_sdx li.active,
.sidebar_nav_sdx li.dropdown.active > ul.dropdown-menu > li.dropdown.active {
  background: #92acc2;
}

.sidebar_nav_sdx
  li.dropdown.active
  > ul.dropdown-menu
  > li.dropdown.active
  .nav_link:first-child {
  color: white;
}

.sidebar_nav_sdx li a {
  display: inline-block;
  padding: 10px 15px;
}

.sidebar_nav_sdx li.dropdown ul.dropdown-menu,
.sidebar_nav_sdx li.dropdown ul.dropdown-menu li.dropdown {
  position: relative;
  z-index: 1000;
  float: left;
  width: 100%;
  min-width: 10rem;
  padding: 0;
  margin: 0;
  font-size: 1rem;
  color: #212529;
  text-align: left;
  list-style: none;
  background-color: #fff;
  background-clip: padding-box;
  border: 0;
  border-radius: 0;
  visibility: hidden;
  opacity: 0;
  height: 0;
  transition: all 3s linear;
}

.sidebar_nav_sdx li.dropdown.active > ul.dropdown-menu,
.sidebar_nav_sdx
  li.dropdown
  ul.dropdown-menu
  li.dropdown.active
  > ul.dropdown-menu {
  visibility: visible;
  opacity: 1;
  height: auto;
  display: block;
  margin: 0px;
}

.sidebar_nav_sdx li.dropdown.active > ul.dropdown-menu > li.dropdown {
  padding: 0;
  visibility: visible;
  opacity: 1;
  height: auto;
  transition: all 0.3s ease-in-out;
}

.sidebar_nav_sdx li a.nav_link {
  display: inline-block;
  width: 100%;
  color: aliceblue;
}

.sidebar_nav_sdx li a:hover {
  background: rgba(0, 143, 211, 0.6);
  color: white;
  cursor: pointer;
  text-decoration: none;
}

.sidebar_nav_sdx li a.nav_link.submenu {
  display: inline-block;
  width: 100%;
  color: #1f3948;
}

.sidebar_nav_sdx ul.dropdown-menu li a.nav_link {
  color: #1f3948;
}

.sidebar_nav_sdx li.dropdown ul.dropdown-menu > li {
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.sidebar_nav_sdx li.dropdown[data-menu-index="0"].active > a.nav_link,
.sidebar_nav_sdx
  li.dropdown[data-menu-index="0"].active
  ul.dropdown-menu
  li.dropdown[data-menu-index="1"].active
  > a.nav_link {
  color: white;
}

.sidebar_nav_sdx li.dropdown[data-menu-index="1"].active > a.nav_link {
  color: white;
}

.sidebar_nav_sdx
  li.dropdown[data-menu-index="0"].active
  ul.dropdown-menu
  li.dropdown
  a.nav_link {
  color: #1f3948;
}

.sidebar_nav_sdx
  li.dropdown[data-menu-index="0"].active
  ul.dropdown-menu
  li.dropdown.active
  a.nav_link {
  color: #1f3948;
}

.sidebar_nav_sdx
  li.dropdown[data-menu-index="0"].active
  ul.dropdown-menu
  li.dropdown.active
  ul.dropdown-menu
  li.active
  a.nav_link {
  color: #ffffff;
  background: rgb(60 81 92 / 50%);
}

.sidebar_nav_sdx
  li.dropdown[data-menu-index="0"].active
  ul.dropdown-menu
  li.dropdown[data-menu-index="1"].active
  > a.nav_link {
  background-color: rgba(255, 255, 255, 0.1);
}

@keyframes xs_scale_up {
  0% {
    transform: scale(1);
  }
  25% {
    transform: scale(1.01);
  }
  50% {
    transform: scale(1.02);
  }
  75% {
    transform: scale(1.01);
  }
  100% {
    transform: scale(1);
  }
}

.sidebar_nav_container.active {
  left: 0;
}

.content_main {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  transition: padding 0.5s;
  padding: 190px 20px 190px 20px;
  z-index: 0;
}

.content_main.active {
  padding-left: 270px;
}

.title_main {
  height: auto;
  position: fixed;
  top: 80px;
  width: 100%;
  transition: padding 0.5s;
  left: 0px;
  padding: 20px 15px;
  -webkit-box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.2);
  box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.2);
  z-index: 2;
  background: rgb(255 255 255);
}
.title_main.active {
  padding-left: 270px;
}

@media (max-width: 767px) {
  .h1,
  h1 {
    font-size: 1.1rem;
  }

  .sidebar_nav_container {
    position: fixed;
    left: 0px;
  }

  .sidebar_nav_container.active {
    left: -250px;
  }

  .title_main.active {
    padding-left: 20px;
  }

  .content_main.active {
    padding-left: 20px;
  }
}

table.filters_container {
  position: relative;
  height: auto;
  width: 100%;
  margin-bottom: 100px;
}
table .filters {
  position: absolute;
  top: 0;
  left: 0;
  overflow: auto;
  width: 100%;
}

.modal_custom {
  width: 100%;
  height: 100%;
  z-index: 1000;
  background: rgba(255, 255, 255, 0.95);
  position: fixed;
  top: 0;
  right: 0;
  padding: 50px 0px;
  overflow: auto;
}

.modal_close {
  position: absolute;
  top: 10px;
  right: 20px;
  display: flex;
  justify-content: center;
  cursor: pointer;
  height: 41px;
  width: 41px;
  font-size: 25px;
  font-weight: bold;
  border: 1px solid #d9d9d9;
}

.modal_view_opt {
  position: fixed;
  background: rgb(236 236 236 / 95%);
  width: 100%;
  bottom: 0;
  left: 0;
  border-top: 1px solid #cccccc;
  padding: 20px 15px;
  z-index: 100;
}

.champ_requis {
  font-size: 12px;
  text-align: left;
  color: #4e4e4e;
  font-style: italic;
}

.modal_custom.animated {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: none;
  animation-fill-mode: none;
}

.container_box {
  border-radius: 5px;
  background: #ddf5f9;
  padding: 10px;
  transition: background 0.5s ease-in-out;
}

.inner_box {
  padding: 10px 15px;
  border-radius: 5px;
  margin-bottom: 30px;
  color: #204364;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  background: #fbfbfb;
}

.input_comment {
  font-size: 12px;
  color: #cccccc;
  font-style: italic;
}

.input_comment.green {
  color: #327b1a;
}

.input_comment.red {
  color: #ff0000;
}

.etat_case_full_cell {
  font-size: 10px;
  padding: 2px 10px;
  color: white;
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: rgb(142 230 183);
}

.table thead th {
  vertical-align: middle;
  background: #254b6b;
  background: linear-gradient(to top, rgb(121 159 179), rgb(37 74 106));
  color: #ffffff !important;
  font-weight: 500 !important;
  border-radius: 5px 5px 0px 0px;
}

.table tfoot th {
  vertical-align: middle;
  background: #254b6b;
  background: linear-gradient(to top, rgb(37 74 106), rgb(121 159 179));
  color: #ffffff !important;
  font-weight: 500 !important;
}

.table td,
.table th {
  padding: 0.75rem;
  vertical-align: middle;
  border: none;
}

div.dataTables_scrollBody {
  background: rgb(255 255 255 / 50%) !important;
}

table.dataTable.row-border tbody th,
table.dataTable.row-border tbody td,
table.dataTable.display tbody th,
table.dataTable.display tbody td {
  position: relative;
}

table.dataTable.cell-border tbody tr th:first-child,
table.dataTable.cell-border tbody tr td:first-child {
  border-left: 1px solid rgba(0, 0, 0, 0.15);
}

table.dataTable.hover > tbody > tr:hover > *,
table.dataTable.display > tbody > tr:hover > * {
  background: rgb(86 90 92 / 10%);
}

table.dataTable.display > tbody > tr.odd > .sorting_1,
table.dataTable.order-column.stripe > tbody > tr.odd > .sorting_1 {
  background: rgb(86 90 92 / 10%);
}

table.dataTable.display > tbody > tr.even > .sorting_1,
table.dataTable.order-column.stripe > tbody > tr.even > .sorting_1 {
  background: rgb(86 90 92 / 10%);
}

table.dataTable.stripe > tbody > tr.odd > *,
table.dataTable.display > tbody > tr.odd > * {
  box-shadow: inset 0 0 0 9999px rgb(0 0 0 / 2%);
}

table.dataTable.stripe > tbody > tr.odd > *,
table.dataTable.display > tbody > tr.even > * {
}

table.dataTable > tbody > tr.child ul.dtr-details > li .dtr-data {
  position: relative;
  width: 100%;
  min-height: 20px;
  display: inline-block;
}

.text-middle {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 60vh;
  text-align: center;
}

.btn {
  margin-bottom: 5px;
}

table td {
  font-size: 14px;
}

.table .actions {
  width: 150px;
}

.response_list {
  border: 1px dashed cadetblue;
  list-style: none;
  padding: 0;
  background: rgb(255 255 255 / 63%);
  color: #495057;
  border-radius: 0px 0px 5px 5px;
}
.response_list li {
  padding: 10px 15px;
  cursor: pointer;
}

.response_list li:hover {
  background: rgba(0, 144, 214, 0.1);
}

.response_list .item .info {
  color: #1890ff;
  font-size: 0.9rem;
}

.response_list .item:hover span {
  color: #68767a;
}

.gallery_liste .gallery_item {
  max-width: 50px;
  max-height: 50px;
}

::-webkit-scrollbar {
  width: 4px;
  height: 8px;
  border-radius: 2px;
  border: 1px solid #cccccc;
}

::-webkit-scrollbar-thumb {
  cursor: pointer;
  background: #879daf;
  border-radius: 5px;
}

.warningInfo {
  color: green !important;
  text-align: center;
  display: none;
  background: #def3ca;
  font-size: 12px !important;
  padding: 10px 10px;
  border-radius: 5px;
}
.warningError {
  color: red !important;
  text-align: center;
  display: none;
  background: #ffcbcb;
  font-size: 12px !important;
  padding: 10px 10px;
  border-radius: 5px;
}

.animate__animated {
  -webkit-animation-fill-mode: none !important;
  animation-fill-mode: none !important;
}

.logo {
  max-width: 150px;
  max-height: 45px;
}

.nav-menu .dropdown-menu {
  min-height: 200px;
  overflow-x: auto;
}

.nav-menu .dropdown-menu::-webkit-scrollbar {
  width: 2px;
  border-left: 0px;
}

.dropzone {
  background: rgb(0 0 0 / 50%) !important;
  border: 2px dashed rgb(255 255 255) !important;
  border-radius: 5px !important;
}

.dropzone.green-border {
  background: rgb(110 186 89 / 50%) !important;
  border-color: rgb(43, 153, 43) !important;
}
.dropzone .info {
  font-weight: bold !important;
}
.attachment_thumbs {
  display: block;
  height: 64px;
  width: 64px;
  border-radius: 5px !important;
  object-fit: contain;
  outline: 1px solid #ddd;
}

ul.response_list li.item:nth-child(odd) {
  background-color: rgb(255 255 255 / 80%);
}
ul.response_list li.item:nth-child(even) {
  background: rgb(240 248 255 / 80%);
}

@-webkit-keyframes rotateGradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

@-moz-keyframes rotateGradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

@keyframes rotateGradient {
  0% {
    background-position: center bottom;
  }
  50% {
    background-position: center top;
  }
  100% {
    background-position: center bottom;
  }
}

table tr td .etat {
  font-size: 10px;
  padding: 2px 10px;
  color: white;
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

table tr td .etat.grid_neutral {
  background: rgb(141 199 201 / 90%); border-radius: 4px;
}

table tr td .etat.grid_red {
  background: rgb(255 60 60 / 90%); border-radius: 4px;
}

table tr td .etat.grid_orange {
  background: rgb(233 145 69 / 90%); border-radius: 4px;
}

table tr td .etat.grid_green {
  background: #4caf50; border-radius: 4px;
}

.item_holder .btn-group {
  margin-right: 5px;
}

.sidebar_nav_sdx ul.dropdown-menu li.active a.nav_link {
  color: #ffffff;
}

textarea.custom_script {
  height: 350px;
  background: black;
  color: whitesmoke;
}

.inner_box.white_bg {
  background: white !important;
  color: #333333 !important;
}

.form-control-clear {
  position: relative;
  margin-right: 15px;
}
.form-control-clear input {
  padding-right: 2.5rem;
}
.form-control-clear .form-clear {
  position: absolute;
  top: 50%;
  right: 0.5rem;
  width: 1rem;
  height: 1rem;
  line-height: 1;
  text-align: center;
  transform: translateY(-50%);
  display: none; /* keep this line */
  cursor: pointer;
}

.span_gray {
  font-size: 12px;
  color: #bfbfbf;
}

.btn-rounded-left {
    border-top-left-radius: 0.25rem !important;   /* ou plus selon ton style */
    border-bottom-left-radius: 0.25rem !important;
}

.tox.tox-tinymce {
  width: 100%;
}
